# Interface methods for submodule: GeodesicActiveContourShapePriorLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ShapePriorSegmentationLevelSetImageFilterProxy as _ShapePriorSegmentationLevelSetImageFilterProxy


# Interface methods for class: GeodesicActiveContourShapePriorLevelSetImageFilter
class GeodesicActiveContourShapePriorLevelSetImageFilterProxy(_ShapePriorSegmentationLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetDerivativeSigma(self, value: float) -> None:
		""""""
		...

	def GetDerivativeSigma(self) -> float:
		""""""
		...

